#
# spec file for package mjpegtools (Version 1.4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa audiofile esound glib glib-devel kdelibs-artsd libjpeg libpng nasm quicktime4linux quicktime4linux-devel xf86 xforms xformsd
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gzip kbd kdelibs-artsd less libjpeg libpng libtool libz m4 make man mktemp modutils nasm ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps quicktime4linux quicktime4linux-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xforms xformsd xshared

Name:         mjpegtools
%define MPEGTOOLS 0
Copyright:    GPL
Group:        Applications/Multimedia
#Requires:     xforms
Autoreqprov:  on
Version:      1.4.1
Release:      111
Summary:      MJPEG video capturing and processing tools
Source: http://download.sourceforge.net/mjpeg/%{name}-%{version}.tar.bz2
Source1: jpeg-mmx-0.1.3.tar.bz2
Source2: libmovtar-0.1.2.tar.bz2
NoSource: 0
Patch:  libmovtar-0.1.2.dif
Patch1: %{name}-%{version}.dif

%description
The mjpegtools allow for capture, playback, processing and simple editing of
MJPEG AV data to and from an MJPEG framegrabber card with a Zoran chip on it
(see package zoran-driver).

Authors:
--------
    Gernot Ziegler <gz@lysator.liu.se> 
    Rainer Johanni <rainer@johanni.de> 
    Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk> 
    Xavier Biquard 
    Ronald Bultje 
    

SuSE series: gra

%prep
%setup -a 1 -a 2
%patch1
cd libmovtar-0.1.2
%patch

%build
%ifarch i386
cd jpeg-mmx
make
cd ..
%endif
cd libmovtar-0.1.2
%ifnarch i386
export CC="gcc -I`pwd`/../jpeg-mmx"
%endif
export ARCHFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
%ifarch i386
	--with-jpeg-mmx=`pwd`/../jpeg-mmx
%endif
make
make install
cd ..
./configure --prefix=/usr \
%ifarch i386
	--with-jpeg-mmx=`pwd`/jpeg-mmx \
%endif
	--with-quicktime=/usr/include/quicktime --mandir=%{_mandir}
make

%install
make install
install -m 755 scripts/lav2mpeg /usr/bin
strip /usr/bin/lav2[wy]* /usr/bin/movtar_* /usr/bin/mp* /usr/bin/testrec /usr/bin/xlav /usr/bin/ypipe /usr/bin/yuv*

%files
%doc AUTHORS BUGS CHANGES COPYING ChangeLog HINTS INSTALL NEWS README README.lavpipe README.transist TODO
%if %{MPEGTOOLS}
/usr/bin/lav2mpeg
%endif
/usr/bin/lav2wav
/usr/bin/lav2yuv
/usr/bin/lavaddwav
/usr/bin/lavpipe
/usr/bin/lavplay
/usr/bin/lavrec
/usr/bin/lavtrans
/usr/bin/lavvideo
/usr/bin/matteblend.flt
/usr/bin/movtar-config
/usr/bin/movtar_index
/usr/bin/movtar_play
/usr/bin/movtar_setinfo
/usr/bin/movtar_split
/usr/bin/movtar_unify
/usr/bin/movtar_yuv422
%if %{MPEGTOOLS}
/usr/bin/mp2enc
/usr/bin/mpeg2enc
%endif
/usr/bin/mplex
/usr/bin/testrec
/usr/bin/transist.flt
/usr/bin/xlav
/usr/bin/ypipe
/usr/bin/yuv2lav
/usr/bin/yuvmedianfilter
/usr/bin/yuvplay
/usr/bin/yuvscaler
/usr/include/movtar.h
/usr/lib/libavio.a
/usr/lib/libmovtar.a
%doc %{_mandir}/man1/lav2wav.1.gz
%doc %{_mandir}/man1/lav2yuv.1.gz
%doc %{_mandir}/man1/lavpipe.1.gz
%doc %{_mandir}/man1/lavplay.1.gz
%doc %{_mandir}/man1/lavrec.1.gz
%doc %{_mandir}/man1/lavtrans.1.gz
%doc %{_mandir}/man1/mjpegtools.1.gz
%if %{MPEGTOOLS}
%doc %{_mandir}/man1/mp2enc.1.gz
%doc %{_mandir}/man1/mpeg2enc.1.gz
%endif
%doc %{_mandir}/man1/mplex.1.gz
%doc %{_mandir}/man1/xlav.1.gz
%doc %{_mandir}/man1/yuv2lav.1.gz
%doc %{_mandir}/man1/yuvplay.1.gz
%doc %{_mandir}/man1/yuvscaler.1.gz
/usr/share/aclocal/movtar.m4

%changelog -n mjpegtools
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Tue Jul 10 2001 - uli@suse.de
- initial package
